%define name	iiwusynth
%define version	0.2.2
%define	release 5mdk

%define major 0
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d


Name:		%{name}
Summary:	Software MIDI synthesizer that uses SoundFont patches
Version:	%{version}
Release:	%{release}
URL:		http://www.iiwu.org/iiwusynth/
Source:		%{name}-%{version}.tar.bz2
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	alsa-lib-devel
BuildRequires:	jackit-devel
License:	GPL
Requires:	readline, jackit 

%description
IIWU Synth is a software real-time synthesizer based on the
Soundfont 2 specifications.

The IIWU Synth package actually contains two applications: iiwusynth
and iiwuplay.

iiwusynth reads and handles MIDI events from the MIDI input device. It
is the software analogue of a MIDI synthesizer.

iiwuplay is a midifile player that allows to render a midifile using a
Soundfont.

%package -n %libname
Summary:        Software MIDI synthesizer that uses SoundFont patches
Group:          Sound

%description -n %libname
IIWU Synth is a software real-time synthesizer based on the
Soundfont 2 specifications.

The IIWU Synth package actually contains two applications: iiwusynth
and iiwuplay.

iiwusynth reads and handles MIDI events from the MIDI input device. It
is the software analogue of a MIDI synthesizer.

iiwuplay is a midifile player that allows to render a midifile using a
Soundfont.

%package -n %libname-devel
Summary: Header files for programs that link against iiwusynth
Group: Sound
Requires: %libname = %version
Provides: libiiwusynth-devel

%description -n %libname-devel
Header files for programs that link against iiwusynth

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -a 0

%build
# note: configure is broken. These flags are a work around and don't
# actually do what they say.
%configure --enable-jack-support --disable-oss-support --with-readline

# use make rather than make -k
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS
%doc NEWS TODO
%_bindir/*

%files -n %libname
%defattr(-,root,root,0755)
%{_libdir}/libiiwusynth.so.0
%{_libdir}/libiiwusynth.so.0.0.0

%files -n %libname-devel
%defattr(-,root,root,0755)
%{_includedir}/iiwusynth.h
%{_libdir}/libiiwusynth.so
%{_libdir}/libiiwusynth.a
%{_libdir}/libiiwusynth.la

%changelog
* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.2.2-5mdk
- rebuild for readline
- fix summary

* Mon Nov 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-4mdk
- mklibname

* Tue May 20 2003 Stefan van der Eijk <stefan@eijk.nu> 0.2.2-3mdk
- BuildRequires

* Tue Jan 28 2003  Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-2mdk
- rebuild

* Wed Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- from James Gregory <james@james.id.au> :
	- First usable rpm.
	- Fixed file locations to use macros.
	- Corrected(?) URL.
